%global momorel 1
%global date 20060625
%global qtver 3.3.5
%global kdever 3.5.3
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Small applet which displays cpu time for KDE kicker
Name: kcpuload
Version: 1.99
Release: 0.%{date}.%{momorel}m
License: GPL
URL: http://extragear.kde.org/apps/kcpuload/
Group: User Interface/Desktops
Source0: %{name}-%{version}-%{date}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gcc-c++ >= 3.4.1-1m

%description
This is a small program for the KDE Kicker (the startmenu).
It will show the CPU usage in form of one or two configurable diagrams.
There are settings for colors and some different styles.
Note that it isn't the real system load that's shown, but the percent
used of the total CPU power, which is calculated from the number of
CPU ticks.

To bring up the settings menu, simply rightclick on the diagram.
Use a slower update interval to get a more stable and accurate
diagram without flicker.

If there are more than one CPU on the system, the total CPU usage from
both can be shown, or you can choose to have one separate diagram for
each of the CPU's.
Leftclick on the diagram to bring up a small information box which will
show the exact CPU usage in text form.

%prep
%setup -q -n %{name}

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-xinerama \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da de es et fr it nl pt pt_BR sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kcpuload
%{_datadir}/applications/kde/kcpuload.desktop
%{_datadir}/apps/kcpuload
%{_datadir}/doc/HTML/*/kcpuload
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Sun Jun 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-0.20060625.1m)
- update to 20060625 SVN snapshot
- include all translations
- remove all patches

* Tue Jun 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-0.20060613.1m)
- update to 20060613 SVN snapshot
- update kcpuload-ja.po
- remove merged manycpus.diff

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-0.20051208.2m)
- add --enable-new-ldflags to configure

* Thu Dec  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-0.20051208.1m)
- update to 20051208 SVN snapshot
 - 05-03-25  * Fixed SMP support under Linux 2.6 kernels.
- import index.docbook and make-doc.patch from SVN (kde.org)
- apply manycpus.diff for more than 2 CPUs
  http://lists.kde.org/?l=kde-extra-gear&m=113356046525626&w=2
- update make-ja.patch
- remove desktop-file-utils from BuildPreReq

* Wed Dec  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-6m)
- import kcpuload-ja.po from SVN (kde.org)

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-5m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-4m)
- add --disable-rpath to configure

* Wed Feb 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.99-3m)
- enable x86_64.

* Thu Feb 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-2m)
- change URL

* Sat Oct  2 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-1m)
- update to 1.99
- no NoSource: 0
- BuildPreReq: gcc-c++, desktop-file-utils

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.1-6m)
- s/Copyright:/License:/

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.1-5m)
- rebuild against for XFree86-4.3.0

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.9.1-4m)
- rebuild against kde-3.0.5a.

* Fri Oct 11 2002 Shinji Takei <stakei@nga.jp>
- (1.9.1-3m)
- modified define kdever 3.0.4

* Sat Oct  5 2002 YAMAZAKI Makoto <uomaster@nifty.com> 
- (1.9.1-2m) 
- kdever to 3.0.3 
- add BuildPreReq: qt-devel = %{qtver} 
- add BuildPreReq: kdelibs-devel = %{kdever} 

* Wed Aug 07 2002 Shinji Takei <stakei@nga.jp>
- (1.9.1-1m)
- - first release.
